com.amazonaws.services.machinelearning.model

## Class DescribeTagsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.DescribeTagsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DescribeTagsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Amazon ML returns the following elements.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DescribeTagsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeTagsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getResourceId()` The ID of the tagged ML object.
`String` `getResourceType()` The type of the tagged ML object.
`List<Tag>` `getTags()` A list of tags associated with the ML object.
`int` `hashCode()`
`void` `setResourceId(String resourceId)` The ID of the tagged ML object.
`void` `setResourceType(String resourceType)` The type of the tagged ML object.
`void` `setResourceType(TaggableResourceType resourceType)` The type of the tagged ML object.
`void` `setTags(Collection<Tag> tags)` A list of tags associated with the ML object.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeTagsResult` `withResourceId(String resourceId)` The ID of the tagged ML object.
`DescribeTagsResult` `withResourceType(String resourceType)` The type of the tagged ML object.
`DescribeTagsResult` `withResourceType(TaggableResourceType resourceType)` The type of the tagged ML object.
`DescribeTagsResult` `withTags(Collection<Tag> tags)` A list of tags associated with the ML object.
`DescribeTagsResult` `withTags(Tag... tags)` A list of tags associated with the ML object.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeTagsResult

    public DescribeTagsResult()

### Method Detail

#### setResourceId

    public void setResourceId(String resourceId)

The ID of the tagged ML object.

Parameters:
  `resourceId` - The ID of the tagged ML object.

#### getResourceId

    public String getResourceId()

The ID of the tagged ML object.

Returns:
  The ID of the tagged ML object.

#### withResourceId

    public DescribeTagsResult withResourceId(String resourceId)

The ID of the tagged ML object.

Parameters:
  `resourceId` - The ID of the tagged ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceType

    public void setResourceType(String resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
See Also:
  `TaggableResourceType`

#### getResourceType

    public String getResourceType()

The type of the tagged ML object.

Returns:
  The type of the tagged ML object.
See Also:
  `TaggableResourceType`

#### withResourceType

    public DescribeTagsResult withResourceType(String resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### setResourceType

    public void setResourceType(TaggableResourceType resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
See Also:
  `TaggableResourceType`

#### withResourceType

    public DescribeTagsResult withResourceType(TaggableResourceType resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### getTags

    public List<Tag> getTags()

A list of tags associated with the ML object.

Returns:
  A list of tags associated with the ML object.

#### setTags

    public void setTags(Collection<Tag> tags)

A list of tags associated with the ML object.

Parameters:
  `tags` - A list of tags associated with the ML object.

#### withTags

    public DescribeTagsResult withTags(Tag... tags)

A list of tags associated with the ML object.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - A list of tags associated with the ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public DescribeTagsResult withTags(Collection<Tag> tags)

A list of tags associated with the ML object.

Parameters:
  `tags` - A list of tags associated with the ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeTagsResult clone()

Overrides:
  `clone` in class `Object`